Subject: Re: [DNSOP] WGLC for draft-ietf-dnsop-tcp-requirements

From: Donald Eastlake <[email-masked]>
Date: Fri, 23 Apr 2021 16:44:02 -0400

Hi,

Thanks for the quick response. See below.

On Fri, Apr 23, 2021 at 1:36 PM Wessels, Duane <[email-masked]> wrote:
>
> > On Apr 22, 2021, at 11:50 AM, Donald Eastlake <[email-masked]> wrote:
> >
> > Hi,
> >
> > This is a good document and I support publication.
> >
> > However, I do have some comments. I scanned the Last Call comments by
> > others, and they mostly seem like improvements, but some of my
> > comments below may duplicate others for which I apologize in advance.
> >
> >
> > Section 3, last paragraph: Cut out wishy-washy superfluous words. Be bold!
> > OLD
> > vice-versa.  However, it is the aim of this document to argue that
> > BETTER
> > vice-versa.  However, this document argues that
> > BEST
> > vice-versa.  However,
>
> Done!
>
> >
> > Although Cookies are mentioned in this draft with a reference to the
> > RFC 7873, it would be good to work in the point that the Cookies RFC
> > recommends use of TCP whenever Cookies are not available as a way to
> > get some of the benefits of Cookies. Thus, if I remember correctly,
> > someone following that RFC would use Cookies or, when they are not
> > available, TCP.
>
> The appendix entry for RFC 7873 said:
>
>     [RFC 7873] mentions DNS over TCP as a reasonable fallback mechanism when DNS Cookies
>     are not available.
>
> The phrase "reasonable fallback" doesn't sit quite right with me so I changed it to
> "...as an alternative mechanism...".  Does that work for you or were you suggesting
> that this point be made in the body of the document rather than only in the appendix?

Well, ideally it would be in the body of the document but it looks
like it would take a moderate amount of work to do that. I am
satisfied with the rewording in the appendix.

> > Section 9, last paragraph: Don't be so negative :-)
> > "not unlike" -> "similar to"
>
> Done.
>
> >
> > Make the name of Section 2 a bit more explicit, something like
> > "History of DNS over TCP"
>
> Yes, done.
>
> >
> > Section 1.1: Update as per RFC 8174.
>
> Done.
>
> >
> > Lots of references are good but I find it disturbing that all
> > technical references are shown as Informational. I think a lot of them
> > should be moved to Normative.
>
> I wondered about that as well.  I moved many of the standards track RFCs to the normative section.  I will highlight this change when the next version is posted and I hope someone lets us know if any of those are not appropriate there.

Sounds good. Probably not a serious problem as I think all the
references that maybe should be normative are already standards track
so there won't be any down-references... Probably Document Shepherds
review and AD review will catch any further changes needed here.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

> DW